#!/bin/sh

OS_VERSION=`sw_vers -productVersion | cut -d . -f 1,2`
if [ $OS_VERSION == '10.6' ]; then
    COMPAT_VERSION=4
elif [ $OS_VERSION == '10.5' ]; then
    COMPAT_VERSION=3
elif [ $OS_VERSION == '10.4' ]; then
    COMPAT_VERSION=2
fi

if [ ! -e ~/Library/Mail/Bundles ]; then
    echo "Creating ~/Library/Mail/Bundles"
    mkdir -p ~/Library/Mail/Bundles
fi

echo "Copying Plugin"
CURRENT_DIR=`dirname "$0"`
rm -rf ~/Library/Mail/Bundles/ASP{,Bundle}.mailbundle
cp -r "${CURRENT_DIR}/ASPBundle.mailbundle" ~/Library/Mail/Bundles/

echo "Enabling plugin support for Mail"
defaults write com.apple.mail EnableBundles -bool true
defaults write com.apple.mail BundleCompatibilityVersion $COMPAT_VERSION
